"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _pagination = require("../../../helpers/pagination.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    get: get(function (params) {
      var pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
      return "v0/merchants/".concat(params.document, "/credit-lock-contracts") + "?financialInstitutionIspb=".concat(params.financialInstitutionIspb) + "&validFrom=".concat(params.validFrom, "&validTo=").concat(params.validTo) + "&".concat(pagination);
    })
  };
};

exports.service = service;