import { getRequest } from '../../../helpers/request.js';
import { getPagination } from '../../../helpers/pagination.js';

export const service = (get = getRequest) => ({
  get: get((params) => {
    const pagination = getPagination(params.page, params.pageSize);

    return `v0/merchants/${params.document}/credit-lock-contracts` +
      `?financialInstitutionIspb=${params.financialInstitutionIspb}` +
      `&validFrom=${params.validFrom}&validTo=${params.validTo}` +
      `&${pagination}`;
  }),
});
