import { getRequest } from '../../../helpers/request.js';
import { getPagination } from '../../../helpers/pagination.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  return {
    get: get(function (params) {
      var pagination = getPagination(params.page, params.pageSize);
      return "v0/merchants/".concat(params.document, "/credit-lock-contracts") + "?financialInstitutionIspb=".concat(params.financialInstitutionIspb) + "&validFrom=".concat(params.validFrom, "&validTo=").concat(params.validTo) + "&".concat(pagination);
    })
  };
};